# Originally imported from Fedora/rpm-sphere

Name:           keepnote-extensions
Version:        0.6.1
Release:        %mkrel 1
License:        GPLv2
Summary:        KeepNote Extensions
URL:            http://keepnote.org/extensions.shtml
Group:          Office
Source0:        https://raw.github.com/mdrasmus/keepnote-extensions/master/stable/import_basket.kne
Source1:        https://raw.github.com/mdrasmus/keepnote-extensions/master/stable/import_folders.kne
Source2:        https://raw.github.com/mdrasmus/keepnote-extensions/master/stable/import_notecase.kne
Source3:        https://raw.github.com/mdrasmus/keepnote-extensions/master/stable/import_txt.kne
Source4:        https://raw.github.com/mdrasmus/keepnote-extensions/master/stable/make_catalog.kne
#BuildRequires:  keepnote
BuildRequires:  unzip
Requires:       keepnote
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Additional extensions for KeepNote organizer.

The package includes:
* Import Basket
    Primitive import of Basket Notepad Databases.
* Import Folder Tree
    Imports a folder tree as nodes in a notebook
* Import NoteCase
    Primitive import of NoteCase .ncd Files
* Import Plain Text
    Imports plain text files as nodes in a notebook
* Make File Catalog
    Imports a folder tree, listing file names (maybe as links) notebook.

%prep
# nothing

%build
# nothing

%install
install -dm 0755 $RPM_BUILD_ROOT%{python_sitelib}/keepnote/extensions
unzip -q "%{_sourcedir}/*.kne" -d $RPM_BUILD_ROOT%{python_sitelib}/keepnote/extensions

# Remove backup file.
rm -f $RPM_BUILD_ROOT%{python_sitelib}/keepnote/extensions/import_basket/#__init__.py#
cd $RPM_BUILD_ROOT%{python_sitelib}/keepnote/extensions

%files
%defattr(-,root,root,-)
%{python_sitelib}/keepnote/extensions/*


%changelog
* Thu Nov 23 2017 Zen Subz <techars21 at gmail dot com> - 0.6.1-1pclos2017
- Build for PCLinuxOS
